%define upstream_name    HTTP-Parser-XS
%define upstream_version 0.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A fast, primitive HTTP request parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl-devel
%description
HTTP::Parser::XS is a fast, primitive HTTP request/response parser.

The request parser can be used either for writing a synchronous HTTP server
or a event-driven server.

The response parser can be used for writing HTTP clients.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-3.mga6
+ Revision: 1028442
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.170.0-2.mga6
+ Revision: 957512
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.170.0-1.mga6
+ Revision: 843184
- update to 0.17

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-5.mga5
+ Revision: 750468
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-4.mga5
+ Revision: 685008
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.160.0-3.mga5
+ Revision: 631269
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.160.0-2.mga4
+ Revision: 527050
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.160.0-1.mga4
+ Revision: 439390
- update to 0.16

* Wed May 29 2013 jquelin <jquelin> 0.150.0-3.mga4
+ Revision: 430740
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 368316
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 315803
- update to 0.15

* Wed May 30 2012 jquelin <jquelin> 0.140.0-2.mga3
+ Revision: 250775
- rebuild for perl 5.16

* Thu Jun 30 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 116621
- imported package perl-HTTP-Parser-XS


* Thu Jun 30 2011 cpan2dist 0.14-1mga
- initial mageia release, generated with cpan2dist
